<!DOCTYPE html>
<html lang="en">
  {% load static %}
  <head>
    <meta charset="UTF-8" />
    <title>Note</title>
    <link rel="stylesheet" href="{% static 'css/lab4_styles.css' %}">
  </head>

  <body>
    <div class="header">
      <a class="clicked" href="http://127.0.0.1:8000/lab-4/">Table</a>
      <a href="http://127.0.0.1:8000/lab-4/add-note">Add Notes</a>
      <a href="http://127.0.0.1:8000/lab-4/note-list">Notes' Cards</a>
    </div>

    <h1 class="title">Note Table</h1>

    <div class="table">
      <table>
        <tr>
          <th style="background-color: #C6F37C;">To</th>
          <th style="background-color: #C6F37C;">From</th>
          <th style="background-color: #C6F37C;">Title</th>
          <th style="background-color: #C6F37C;">Message</th>
        </tr>
        <!-- Loop from Note model -->
        {% for note in notes %}
        <tr>
          <td>{{note.to_person}}</td>
          <td>{{note.from_person}}</td>
          <td>{{note.title}}</td>
          <td>{{note.message}}</td>
        </tr>
        {% endfor %}
        
      </table>
    </div>
    
  </body>
</html>